#
# spec file for package python-django-split-settings
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-django-split-settings
Version:        0.2.3
Release:        1.6
License:        BSD-3-Clause
Summary:        Organize Django settings into multiple files and directories
Url:            http://github.com/sobolevn/django-split-settings
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/d/django-split-settings/django-split-settings-%{version}.tar.gz
Requires:       python3-Django
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Organize Django settings into multiple files and directories.  Easily
override and modify settings.  Use wildcards in settings file paths
and mark settings files as optional.

%prep
%setup -q -n django-split-settings-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.rst
%{python3_sitelib}/*

%changelog
* Mon Dec 12 2016 arun@gmx.de
- update to version 0.2.3:
  * Added django@1.10 support
  * Now include function finds parent globals() scope automatically if
    not provided
  * Added protection against infinite recursion
  * Added tests for stackable settings definition. See
    tests/settings/stacked/
  * Added tests for the new functionality
  * Added tests for django@1.10 in tox and travis
  * Removed 3.2 and 3.3 from setup.py since these versions were not
    tested anyway
* Sun Jul 17 2016 arun@gmx.de
- specfile:
  * removed requirements setuptools_git
  * removed CONTRIBUTING.rst, not in tar-ball anymore
- update to version 0.2.2:
  * Now supporting unicode filenames, fixes
    https://github.com/sobolevn/django-split-settings/issues/9
  * Tests structure is changed
  * Removed example
  * Changed how MANIFEST.in is defined
- changes from version 0.2.1:
  * Changed optional to be a function.
  * Added test_tools.py, achieved 100%% in coverage.
  * Removed setuptools-git from setup.py, now Manifest is only way to
    provide dist sources.
  * Added run_coveralls.py to work on both CI and local tests.
  * Style fixes.
- changes from version 0.2.0:
  * Now tox is used for testing.
  * Added coverage information and badge.
  * Removed pep8 utility, now using pylint.
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Tue Feb  2 2016 bear454@opensuse.org
- Initial commit
